Get Districts
GET
/api/v1/districts
Token needs the read ability.
About tokens
Retrieves a paginated list of District objects. Requires the read ability.
Query parameters
-
page[number]integerPage number (starts at 1). -
page[size]integerResults per page (default 30, max 100). -
filter[external_id]string -
filter[district_group_id]string (uuid) -
sortstringAllowed: name, created_at, updated_at. Default: name. -
includestringAllowed: districtGroup.
Responses
-
-
linksobject-
firststring nullable -
laststring nullable -
prevstring nullable -
nextstring nullable
-
-
metaobject-
current_pageinteger -
frominteger nullable -
last_pageinteger -
pathstring -
per_pageinteger -
tointeger nullable -
totalinteger
-
-
dataarray of District-
idstring (uuid) -
namestring -
external_idstring nullable -
district_group_idstring (uuid) nullable -
created_atstring (date-time) nullable -
updated_atstring (date-time) nullable -
districtGroupobject nullablePresent only when included.-
idstring (uuid) -
namestring -
indexinteger -
created_atstring (date-time) nullable -
updated_atstring (date-time) nullable
-
-
-
-
-
messagestring
-
-
-
messagestring
-
curl "https://app.franchisesee.com/api/v1/districts" \
-H "Authorization: Bearer $FRANCHISESEE_TOKEN" \
-H "Accept: application/json"
Response
{
"links": {
"first": "https://app.franchisesee.com/api/v1/locations?page[number]=1",
"last": "https://app.franchisesee.com/api/v1/locations?page[number]=10",
"prev": "https://app.franchisesee.com/api/v1/locations?page[number]=1",
"next": "https://app.franchisesee.com/api/v1/locations?page[number]=3"
},
"meta": {
"current_page": 2,
"from": 26,
"last_page": 10,
"path": "https://app.franchisesee.com/api/v1/locations",
"per_page": 25,
"to": 50,
"total": 250
},
"data": [
{
"id": "3f2a1b0c-9d8e-4f7a-b6c5-d4e3f2a1b0c9",
"name": "Central Texas",
"external_id": "CTX",
"district_group_id": "e1a4c8b2-7d3f-4b6e-9a2c-8f5d1e3b7a90",
"created_at": "2025-03-14T15:22:08.000000Z",
"updated_at": "2026-10-02T09:41:55.000000Z",
"districtGroup": {
"id": "e1a4c8b2-7d3f-4b6e-9a2c-8f5d1e3b7a90",
"name": "Region",
"index": 1,
"created_at": "2025-03-14T15:22:08.000000Z",
"updated_at": "2026-10-02T09:41:55.000000Z"
}
}
]
}